vkd3d: vkd3d_instance_create_info Struct Reference

vkd3d 1.19 The vkd3d 3D Graphics Library

Loading...
Searching...
No Matches
vkd3d_instance_create_info Struct Reference

A chained structure containing instance creation parameters. More...

`#include <vkd3d.h>`

## Data Fields
enum vkd3d_structure_type | type
| Must be set to VKD3D_STRUCTURE_TYPE_INSTANCE_CREATE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
PFN_vkd3d_signal_event | pfn_signal_event
| An pointer to a function to signal events.
PFN_vkd3d_create_thread | pfn_create_thread
| An optional pointer to a function to create threads.
PFN_vkd3d_join_thread | pfn_join_thread
| An optional pointer to a function to join threads.
size_t | wchar_size
| The size of type WCHAR.
PFN_vkGetInstanceProcAddr | pfn_vkGetInstanceProcAddr
| A pointer to the vkGetInstanceProcAddr Vulkan function, which will be used to load all the other Vulkan functions.
const char *const * | instance_extensions
| A list of Vulkan instance extensions to request.
uint32_t | instance_extension_count
| The number of elements in the instance_extensions array.

## Detailed Description

A chained structure containing instance creation parameters.

## Field Documentation

## ◆ instance_extensions

const char* const* vkd3d_instance_create_info::instance_extensions

A list of Vulkan instance extensions to request.

They are intended as required, so instance creation will fail if any of them is not available.

## ◆ pfn_create_thread

PFN_vkd3d_create_thread vkd3d_instance_create_info::pfn_create_thread

An optional pointer to a function to create threads.

If this is NULL vkd3d will use a function of its choice, depending on the platform. It must be NULL if and only if pfn_join_thread is NULL.

## ◆ pfn_join_thread

PFN_vkd3d_join_thread vkd3d_instance_create_info::pfn_join_thread

An optional pointer to a function to join threads.

If this is NULL vkd3d will use a function of its choice, depending on the platform. It must be NULL if and only if pfn_create_thread is NULL.

## ◆ pfn_vkGetInstanceProcAddr

PFN_vkGetInstanceProcAddr vkd3d_instance_create_info::pfn_vkGetInstanceProcAddr

A pointer to the vkGetInstanceProcAddr Vulkan function, which will be used to load all the other Vulkan functions.

If set to NULL, vkd3d will search and use the Vulkan loader.

## ◆ wchar_size

size_t vkd3d_instance_create_info::wchar_size

The size of type WCHAR.

It must be 2 or 4 and should normally be set to sizeof(WCHAR).

The documentation for this struct was generated from the following file:

- include/vkd3d.h